Delete a Google Pass template
Roles
Analytics Events
/v2/credentials/compact/digital-pass/google/templates/{id}Deletes an existing Google Pass template by providing its ID.
Analytic events
- CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_DELETE_START
- CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_DELETE_SUCCESS
- CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Google Pass template ID
uuidTemplate ID
Response Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v2/credentials/compact/digital-pass/google/templates/string"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update a Google Pass template PUT
Updates a existing Google Pass template by providing its ID and a `.zip` file. Refer to our [Design a Google Pass template](https://learn.mattr.global/docs/issuance/cwt-credential-templates/google-templates) guide for more information on how to design the template and how to structure the `.zip` file. ### **Analytic events** * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_UPDATE_START * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_UPDATE_SUCCESS * CREDENTIAL_COMPACT_GOOGLE_PASS_TEMPLATE_UPDATE_FAIL
Create an Apple Pass template POST
Creates an Apple Pass template based on the provided `.zip` file. Refer to our [Design an Apple Pass template](https://learn.mattr.global/docs/issuance/cwt-credential-templates/apple-templates) guide for more information on how to design the template and how to structure the `.zip` file. <Callout> The Apple Pass template uses the official Apple Pass bundle structure. </Callout> ### **Analytic events** * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_CREATE_START * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_CREATE_SUCCESS * CREDENTIAL_COMPACT_APPLE_PASS_TEMPLATE_CREATE_FAIL